--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(87,71)
local Player_1=CppScriptMgr:AddSimplePlayer(1055780,90,69,"[God of Sun`s Child] Orphee",0,0)
Player_1:AddPartEffect("_p_24_2022qx2_close",7,33)
Player_1:SetDir(6)
local Player_3=CppScriptMgr:QueryHero()
Player_3:SetDir(6)
Player_3:SetPos(84,71)
Player_3:SetName("")
local player_Name_1=Player_3:GetName()
local Player_4=CppScriptMgr:AddSimplePlayer(1055776,86,77,"Weaver Girl",0,0)
Player_4:SetDir(6)
local Player_6=CppScriptMgr:AddSimplePlayer(1062490,85,61,"",0,0)
Player_6:SetMount(200803)
Player_6:SetDir(6)
local Player_2=CppScriptMgr:AddSimplePlayer(1062495,85,74,"[Orphee`s Beloved] Eurydice",0,0)
local Player_7=CppScriptMgr:AddSimplePlayer(1062490,91,71,"[Orphee`s Beloved] Eurydice",0,0)
Player_7:SetHide(1)
Player_2:SetHide(1)
Player_6:SetHide(1)
Player_1:SetZoomPercent(120)
Player_3:SetZoomPercent(120)
Player_4:SetZoomPercent(120)
Player_6:SetZoomPercent(120)
Player_2:SetZoomPercent(120)
Player_7:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Let me play a song!",1000)
CppScriptMgr:NpcCallOut("Let me play a song!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(230)
local Effect_8=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
local Effect_4=CppScriptMgr:AddEffect("ouzhoucup_coat",90,69,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(230)
local Effect_7=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
local Effect_1=CppScriptMgr:AddEffect("SuperSoldier",90,69,33)
Effect_1:Scale(2,2,2)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(230)
Player_3:SetAction(180)
Player_4:SetAction(180)
local Effect_5=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
CppScriptMgr:WaitMilSec(1000)
local Effect_6=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
Player_1:SetAction(230)
Player_4:SetAction(101)
Player_4:Say("It`s so beautiful!",1000)
CppScriptMgr:NpcCallOut("It`s so beautiful!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_9=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
Player_1:SetAction(230)
local Effect_2=CppScriptMgr:AddEffect("zf2-e233",96,69,33)
CppScriptMgr:WaitMilSec(1000)
local Player_5=CppScriptMgr:AddSimplePlayer(1062530,95,69,"Gold Pegasus",0,0)
Player_5:SetZoomPercent(80)
CppScriptMgr:WaitMilSec(1000)
local Effect_10=CppScriptMgr:AddEffect("Charg_Typetwo_601",90,69,33)
Player_1:SetAction(230)
Player_5:RunTo(95,109)
CppScriptMgr:ClearEffect(Effect_4)
CppScriptMgr:ClearEffect(Effect_1)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("This is so cool. It will bring Orphee`s wife back from the underworld for sure!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcQiXi2022",150,430,player_Name_1,250,655)
Player_3:Say("This is so cool. It will bring Orphee`s wife back from the underworld for sure!",1000)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(101)
Player_1:Say("Go! Gold Pegasus, be sure to bring my wife back!",1000)
CppScriptMgr:NpcCallOut("Go! Gold Pegasus, be sure to bring my wife back!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetHide(1)
Player_5:SetHide(1)
Player_4:SetHide(1)
CppScriptMgr:SetLightScreen(1000)
CppScriptMgr:WaitMilSec(1000)
Player_6:SetHide(0)
Player_6:RunTo(85,77)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(1000)
Player_6:SetHide(1)
Player_2:SetHide(0)
CppScriptMgr:WaitMilSec(200)
local Effect_3=CppScriptMgr:AddEffect("dot_cha_lig",87,71,99)
Player_2:RunTo(87,72)
Player_1:RunTo(88,71)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Eurydice! Darling, finally, we meet again!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
Player_1:Say("Eurydice! Darling, finally, we meet again!",1000)
CppScriptMgr:WaitMilSec(1000)
local Effect_11=CppScriptMgr:AddEffect("dot_cha_lig",87,71,99)
Player_6:Say("I`m back, my dear Orphee! You did it!",1000)
CppScriptMgr:NpcCallOut("I`m back! You did it!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("Thanks to the help of this brave hero and the Weaver Girl!",1000)
CppScriptMgr:NpcCallOut("Thanks to the help of this brave hero and the Weaver Girl!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(1000)
Player_2:SetHide(1)
Player_7:SetHide(0)
Player_5:SetPos(93,73)
Player_1:SetPos(88,69)
Player_4:SetHide(0)
Player_3:SetHide(0)
Player_5:SetHide(0)
CppScriptMgr:WaitMilSec(1000)
Player_4:SetAction(101)
Player_4:Say("I`m so glad to see you two back together!",1000)
CppScriptMgr:NpcCallOut("I`m so glad to see you two back together!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_7:SetAction(101)
Player_6:Say("Thank you so much. I`d like to do something for you in return!",1000)
CppScriptMgr:NpcCallOut("Thank you so much. I`d like to do something for you in return!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(102)
Player_1:Say("Let my Gold Pegasus be your magpie bridge and help you and your husband get back together!",1000)
CppScriptMgr:NpcCallOut("Let my Gold Pegasus be your magpie bridge and help you and your husband get back together!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_5:RunTo(93,83)
CppScriptMgr:WaitMilSec(2000)
